/***********************************************************************

	rtc.h
	
	real time clock module

	2013/7/16  S.Suwa http://www.suwa-koubou.jp

    2013/11/19 for SBDBT32	
***********************************************************************/

#ifndef _RTC_H
#define	_RTC_H

#include "GenericTypeDefs.h"

#define	lock_timer()	IEC0CLR=_IEC0_T1IE_MASK
#define unlock_timer()	IEC0SET=_IEC0_T1IE_MASK
#define	clear_timer()	IFS0CLR=_IFS0_T1IF_MASK


#define	pwr_led_blink()     LATBINV=0x8000	// RB15
#define pwr_led_off()       LATBSET=0x8000 
#define pwr_led_on()        LATBCLR=0x8000 


// in rtc.c 
void	rtc_init(void);
void	set_rtcstr(char *date_time);
char   *get_rtcstr(char *buf);
void	set_rtc(char data[]);
void	get_rtc(char data[]);
DWORD	get_fattime (void);
void	set_fattime(void);
void    adjust_time(char data[]);

extern	DWORD volatile AplTimer1;      // in rtc.c
extern	DWORD volatile AplTimer2;      // in rtc.c
extern  int   volatile UpdateMinutes;  // in rtc.c
extern  int   volatile isRtcAdjustTime; // in rtc.c
extern  int volatile isTimeAdjusted;  // in rtc.c
extern  void  disk_timerproc (void);   // in mmc.c

#endif
