/***********************************************************************

	schedule.h

	2013/7/28  S.Suwa http://www.suwa-koubou.jp	
***********************************************************************/

#ifndef _SCHEDULE_H
#define	_SCHEDULE_H

struct schedule_t{
	unsigned long frequency;
	char year;	// -1(every)
	char month;	// -1(every)
	char day;	// -1(every)
	char wday;	// -1(don't care), 0-6(sun-sat)
	char bhh;
	char bmm;
	char ehh;
	char emm;
};

void schedule_recording(void);
void load_schedule(void);
void dump_schedule(void);
int	get_num_record_info(void);
void get_record_info(char *buf, int num);
struct schedule_t *check_recording_time(char td[]);

#endif
